from distutils.core import setup
from distutils.extension import Extension
from Cython.Build import cythonize

setup(
  ext_modules = cythonize([
    Extension("wrapper",
              language="c++",
              sources=["wrapper.pyx", "lwan/lwan-array.c" ,"lwan/lwan-coro.c"],
              extra_compile_args=["-std=c++11"],
              extra_link_args=["-std=c++11"]
   ),
    Extension("lwan_coro",
              language="c++",
              sources=["lwan_coro.pyx", "lwan/lwan-array.c" ,"lwan/lwan-coro.c"],
              extra_compile_args=["-pthread", "-std=c++11"],
              extra_link_args=["-pthread", "-std=c++11"]
    )
  ])
)
